From: Leo Liang <ycliang@andestech.com>
To: ltp@lists.linux.it
Subject: [LTP] [PATCH v2, 1/2] lib/tst_test.sh: Make tst_umount work with argument that
Date: Thu, 15 Jul 2021 22:24:48 +0800 [thread overview]
Message-ID: <20210715142448.GA30641@atcfdc88> (raw)
/proc/mounts shows the mount point without terminating slashes, e.g.
~ $ cat /proc/mounts
xxx /root/cgroup cgroup rw,relatime,cpu 0 0
So current tst_umount would not work with argument that has terminating slash, e.g.
tst_umount cgroup/ would give "The device is not mounted".
Fix this by using mountpoint command instead of grepping /proc/mounts.
Signed-off-by: Leo Yu-Chi Liang <ycliang@andestech.com>
---
testcases/lib/tst_test.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/testcases/lib/tst_test.sh b/testcases/lib/tst_test.sh
index c6aa2c487..7e77711f1 100644
--- a/testcases/lib/tst_test.sh
+++ b/testcases/lib/tst_test.sh
@@ -282,7 +282,7 @@ tst_umount()
[ -z "$device" ] && return
- if ! grep -q "$device" /proc/mounts; then
+ if ! mountpoint -q "$device"; then
tst_res TINFO "The $device is not mounted, skipping umount"
return
fi
--
2.17.0
next reply other threads:[~2021-07-15 14:24 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-07-15 14:24 Leo Liang [this message]
2021-07-16 1:23 ` [LTP] [PATCH v2, 1/2] lib/tst_test.sh: Make tst_umount work with argument that xuyang2018.jy
2021-07-16 6:43 ` Leo Liang
2021-07-16 8:12 ` Petr Vorel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20210715142448.GA30641@atcfdc88 \
--to=ycliang@andestech.com \
--cc=ltp@lists.linux.it \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox